import matplotlib.pyplot as plt
from matplotlib import animation
from random import uniform


def next_frame(i, xs, ys, points):
    for i in range(len(ys)):
        d = uniform(-0.05, 0.05)
        ys[i] += d
        if ys[i] <= 0:
            ys[i] = 0
        elif ys[i] >= 10:
            ys[i] = 10

    points.set_data(xs, ys) # "punkty z plota"
    return points,

def draw():
    xs = list(range(101))
    ys = [5] * 101

    fig, ax = plt.subplots()
    ax.set(xlim=(0, 100), ylim=(0, 10))
    points, = ax.plot(xs, ys)

    # fargs - krotka parametrow dla next_frame
    anim = animation.FuncAnimation(fig, next_frame, interval=1, blit=True, fargs=(xs, ys, points))
    plt.show()

if __name__ == "__main__":
    draw()
